(defun c:kk()
(if (= jd1 nil)
(progn
(setq jd1 (getreal “ninput text height”))
);of progn
);of if
(graphscr)
(setvar “cmdecho” 0)
(setq os (getvar “osmode” ))
(setvar “osmode” 0)
(setq p1 (getpoint “n면적구할 위치 클릭! “))
(setq p2 (polar p1 (* pi 1.5) (* jd1 2)))
(command “COLOR” “blue” “”)
(command “bpoly” p1 “”) ; CHECK!
(command “area” “o” “l” “”)
(setq e1 (getvar “area”))
(setq d1 (* e1 0.3025))
(setq dm (rtos e1 2 1))
(setq dp (rtos d1 2 1))
(setq bm (strcat “Am =” dm “M2”))
(setq bp (strcat “Ap =” dp “평”))
; (setq bn (strcat “Area=” d2 “ha”))
(command “COLOR” “yellow” “”)
(command “text” p1 jd1 “” bm)
(command “text” p2 jd1 “” bp)
(setvar “osmode” os)
);
제가쓰는 리습인데요 면적이 mm2 으로 나오는데 이걸 m2 으로 하고싶습니다..항상면적구할때 뒤에서 6자리는 빼면서 하니까 실수를 많이 해서여
뷰탁드립니다…결론적으로 스케일 수정이 되겠네요..